[Deprecated]: v5.0
get
/ec-ors-svc/rest/v5.0/studies/{studyId}/{mode}/shipments
Deprecated: Searches for shipments associated with a study by study ID. Rights: OrsInventoryGet, OrsUnblinded, BlindedDepot.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
active -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
D313327EF13845169A8ADADDA435431E
Query Parameters
-
depotShipment(required): boolean
Boolean value for looking for depot shipments.Example:
false -
destinationId(required): string(uuid)
String value for destination of shipment.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
limit: string
Maximum number of records to display per page.Default Value:
100Example:100 -
offset: string
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Default Value:
0Example:0 -
originId(required): string(uuid)
String value for origin of shipment.Example:
D313327EF13845169A8ADADDA435431E -
recon(required): boolean
Boolean value for recon.Example:
false -
searchString(required): string
Search string.Example:
SHIP-0001 -
statusId(required): number
ID of the status.Example:
5
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ViewShipmentResponseV2
Type:
objectResponse object containing shipments.
Show Source
-
count: integer
(int64)
Total count of result
-
hasMore: boolean
Attribute describes if result set has more recordsExample:
true -
limit: integer
(int64)
Maximum number of records to display per page.
-
links: array
links
-
offset: integer
(int64)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
400 -
shipments: array
shipments
-
totalResults: integer
(int64)
Total number of entities in response
Nested Schema : shipments
Type:
Show Source
array-
Array of:
object ShipmentTO v2.0
Title:
ShipmentTO v2.0Shipment details object.
Example:
[
{
"shipmentId":"B1B8327AFAA6412287106192AB5984EF",
"siteId":"C36A3197FDEE433FB5547EE83DE99E4B",
"siteName":"Site Houston",
"siteShortName":"st_hstn",
"depotId":"D313327EF13845169A8ADADDA435431E",
"depotName":"Depot Houston",
"depotShortName":"dpt_hstn",
"statusId":5,
"shipmentNumber":"123",
"createdDate":"2026-02-21T06:30:00Z",
"shipDate":"2026-02-21T06:45:00Z",
"trackingNumber":"12345",
"reconciliation":true,
"reportId":"E39FF55A445543A38D513325664F0B2D",
"trackingNumberURL":"http://www.site.com"
}
]Nested Schema : RelLink
Type:
objectObject contains link detail.
Show Source
-
href: string
Realtive URL
-
rel: string
link
Nested Schema : ShipmentTO v2.0
Type:
objectTitle:
ShipmentTO v2.0Shipment details object.
Show Source
-
createdDate: string
(date-time)
Shipment creation date.Example:
2026-02-21T06:30:00Z -
depotId: string
(uuid)
Depot ID.
-
depotName: string
Name of the depot.Example:
Depot Houston -
depotShortName: string
Depot short name.Example:
dpt_hstn -
reconciliation: boolean
Indicates whether the shipment is for kit reconciliation.Example:
true -
reportId: string
(uuid)
Report Id
-
shipDate: string
(date-time)
Ship date.Example:
2026-02-21T06:45:00Z -
shipmentId: string
ID of the shipment.Example:
B1B8327AFAA6412287106192AB5984EF -
shipmentNumber: string
Shipment number.Example:
123 -
siteId: string
(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
-
siteName: string
Name of the site.Example:
Site Houston -
siteShortName: string
Site short name.Example:
st_hstn -
statusId: integer
(int32)
Shipment status ID.Example:
5 -
trackingNumber: string
Shipment tracking number.Example:
12345 -
trackingNumberURL: string
URL for tracking the shipment.Example:
http://www.site.com
Example:
{
"shipmentId":"B1B8327AFAA6412287106192AB5984EF",
"siteId":"C36A3197FDEE433FB5547EE83DE99E4B",
"siteName":"Site Houston",
"siteShortName":"st_hstn",
"depotId":"D313327EF13845169A8ADADDA435431E",
"depotName":"Depot Houston",
"depotShortName":"dpt_hstn",
"statusId":5,
"shipmentNumber":"123",
"createdDate":"2026-02-21T06:30:00Z",
"shipDate":"2026-02-21T06:45:00Z",
"trackingNumber":"12345",
"reconciliation":true,
"reportId":"E39FF55A445543A38D513325664F0B2D",
"trackingNumberURL":"http://www.site.com"
}Examples
404 Response
'Invalid study ID', 'Study still in design phase'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples